%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Summary:	Configuration files for Apache
Name:		apache-conf
Version:	2.2.4
Release:	%mkrel 4
License:	Apache License
Group:		System/Servers
URL:		http://www.mandriva.com
Source0:	%{name}-%{version}.tar.bz2
Source1:	httpd.init
Source2:	httpd.sysconf
Source3:	httpd.conf
Source4:	fileprotector.conf
Source5:	magic
Source6:	mime.types
Source7:	index.html
Source8:	apache-conf-README.urpmi
Source9:	old_config.tar.bz2
Source10:	robots.txt
Source11:	00_default_vhosts.conf
Source12:	mod_ssl-gentestcrt.sh
Requires:	lynx >= 2.8.5
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	dietlibc-devel >= 0.20-1mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains configuration files for apache. It is necessary for
operation of the apache webserver. Having those files into a separate modules
provides better customization for OEMs and ISPs, who can modify the look and
feel of the apache webserver without having to re-compile the whole suite to
change a logo or config file.

%prep

%setup -q -n %{name}-%{version} -a9

cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .
cp %{SOURCE4} .
cp %{SOURCE5} .
cp %{SOURCE6} .
cp %{SOURCE7} .
cp %{SOURCE8} README.urpmi
cp %{SOURCE10} .
cp %{SOURCE11} .
cp %{SOURCE12} .

%build

diet gcc -Os -s -static -nostdinc -o advxsplitlogfile-DIET advxsplitlogfile.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d
install -d %{buildroot}%{_sysconfdir}/httpd/conf.d
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/httpd/conf/vhosts.d
install -d %{buildroot}%{_sysconfdir}/httpd/conf/addon-modules
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/sysconfig

install -d %{buildroot}/var/cache/httpd
install -d %{buildroot}/var/log/httpd
install -d %{buildroot}/var/www/cgi-bin
install -d %{buildroot}/var/www/html/addon-modules
install -d %{buildroot}/var/www/icons
install -d %{buildroot}/var/www/perl
install -d %{buildroot}%{_datadir}/ADVX

install -m0755 advxsplitlogfile-DIET %{buildroot}%{_sbindir}/
install -m0644 advxsplitlogfile %{buildroot}%{_sbindir}/
install -m0755 apache-2.0.40-testscript.pl %{buildroot}/var/www/cgi-bin/test.cgi
install -m0755 apache-2.0.40-testscript.pl %{buildroot}/var/www/perl/test.pl
install -m0755 httpd.init %{buildroot}%{_initrddir}/httpd
install -m0755 mod_ssl-gentestcrt.sh %{buildroot}%{_sbindir}/mod_ssl-gentestcrt

# make some dangling soft links 
pushd %{buildroot}%{_sysconfdir}/httpd
    ln -s ../../usr/%{_lib} %{_lib}
    ln -s ../../var/log/httpd logs
    ln -s ../../usr/%{_lib}/apache modules
    ln -s ../../usr/%{_lib}/apache-extramodules extramodules
popd

# config files
install -m0644 httpd.conf %{buildroot}%{_sysconfdir}/httpd/conf/httpd.conf
install -m0644 fileprotector.conf %{buildroot}%{_sysconfdir}/httpd/conf/fileprotector.conf
install -m0644 mime.types %{buildroot}%{_sysconfdir}/httpd/conf/mime.types
install -m0644 magic %{buildroot}%{_sysconfdir}/httpd/conf/magic
install -m0644 httpd.sysconf %{buildroot}%{_sysconfdir}/sysconfig/httpd
install -m0644 00_default_vhosts.conf %{buildroot}%{_sysconfdir}/httpd/conf/vhosts.d/00_default_vhosts.conf

#install misc documentation and logos
install -m0644 index.html %{buildroot}/var/www/html/
install -m0644 favicon.ico %{buildroot}/var/www/html/
install -m0644 robots.txt %{buildroot}/var/www/html/
install -m0644 *.gif %{buildroot}/var/www/icons/
install -m0644 *.png %{buildroot}/var/www/icons/

# nuke any mandrake button
rm -f %{buildroot}/var/www/icons/mandrake.png
rm -f %{buildroot}/var/www/icons/medbutton.png

# put the advx stuff here
install -m0644 advxaddmod %{buildroot}%{_datadir}/ADVX/
install -m0644 advxdelmod %{buildroot}%{_datadir}/ADVX/
install -m0644 advxfixconf %{buildroot}%{_datadir}/ADVX/
install -m0644 advxlogserverstatus %{buildroot}%{_datadir}/ADVX/
install -m0644 advxrun1.3 %{buildroot}%{_datadir}/ADVX/
install -m0644 advxrun2.0 %{buildroot}%{_datadir}/ADVX/
install -m0644 ap13chkconfig %{buildroot}%{_datadir}/ADVX/
install -m0644 advx-checkifmigrate %{buildroot}%{_datadir}/ADVX/
install -m0644 advx-cleanremove %{buildroot}%{_datadir}/ADVX/
install -m0644 advx-migrate-commonhttpd.conf %{buildroot}%{_datadir}/ADVX/
install -m0644 advx-migrate-httpd-perl.conf %{buildroot}%{_datadir}/ADVX/
install -m0644 advx-migrate-httpd.conf %{buildroot}%{_datadir}/ADVX/
install -m0644 advx-migrate-vhosts.conf %{buildroot}%{_datadir}/ADVX/
install -m0644 mod_ssl-migrate-20 %{buildroot}%{_datadir}/ADVX/
install -m0644 mod_ssl-gentestcrt.sh %{buildroot}%{_datadir}/ADVX/

cat > HOWTO_get_modules.html << EOF
<p>* For a fresh list of available modules for apache2, please visit <a href=http://nux.se/apache/>nux.se</a>.</p>
EOF
install -m0644 HOWTO_get_modules.html %{buildroot}/var/www/html/addon-modules/

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/addon-modules.conf << EOF
<Directory "/var/www/html/addon-modules">
    Options Indexes MultiViews FollowSymlinks
    AllowOverride None
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
    ErrorDocument 403 "This directory can only be viewed from localhost."
</Directory>
EOF

# install log rotation stuff
cat > %{buildroot}%{_sysconfdir}/logrotate.d/httpd << EOF
/var/log/httpd/*_log /var/log/httpd/apache_runtime_status /var/log/httpd/ssl_mutex {
    rotate 5
    monthly
    missingok
    notifempty
    nocompress
    prerotate
	%{_initrddir}/httpd closelogs > /dev/null 2>&1
    endscript
    postrotate
	%{_initrddir}/httpd closelogs > /dev/null 2>&1
    endscript
}
EOF

%pre
%_pre_useradd apache /var/www /bin/sh

# tuck away presumptive old httpd.conf file based on certain criteria
if [ -f %{_sysconfdir}/httpd/conf/httpd.conf ]; then
    if grep -q APACHEPROXIED %{_sysconfdir}/httpd/conf/httpd.conf; then
	TEMP_DATE=`date +%%Y%%m%%d%%H%%M`
	echo "Found an old apache v1.x %{_sysconfdir}/httpd/conf/httpd.conf configuration file."
	echo "I will rename it to %{_sysconfdir}/httpd/conf/httpd.conf.$TEMP_DATE in order"
	echo "for this install to work."
	mv %{_sysconfdir}/httpd/conf/httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf.$TEMP_DATE
    fi
fi

%post
%_post_service httpd
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%preun
%_preun_service httpd

%postun
%_postun_userdel apache

if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README.urpmi old_config
%attr(0755,root,root) %{_initrddir}/httpd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/httpd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/httpd

%dir %{_sysconfdir}/httpd
%dir %{_sysconfdir}/httpd/conf
%dir %{_sysconfdir}/httpd/conf/addon-modules
%dir %{_sysconfdir}/httpd/conf/webapps.d
%dir %{_sysconfdir}/httpd/conf/vhosts.d
%dir %{_sysconfdir}/httpd/conf.d
%dir %{_sysconfdir}/httpd/modules.d

%dir %{_sysconfdir}/httpd/%{_lib}
%dir %{_sysconfdir}/httpd/logs
%dir %{_sysconfdir}/httpd/modules
%dir %{_sysconfdir}/httpd/extramodules

%attr(0755,apache,apache) %dir /var/www
%attr(0755,root,root) %dir /var/www/html
%attr(0755,apache,apache) %dir /var/cache/httpd

%dir /var/log/httpd
%dir /var/www/cgi-bin
%dir /var/www/html/addon-modules
%dir /var/www/icons
%dir /var/www/perl

%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/httpd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/fileprotector.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/mime.types
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/magic
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/addon-modules.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/vhosts.d/00_default_vhosts.conf

%attr(0755,root,root) /var/www/cgi-bin/*
%attr(0755,root,root) /var/www/perl/*
%attr(0644,root,root) /var/www/icons/*
/var/www/html/addon-modules/*

%attr(0644,root,root) %config(noreplace) /var/www/html/favicon.ico
%attr(0644,root,root) %config(noreplace) /var/www/html/index.html
%attr(0644,root,root) %config(noreplace) /var/www/html/robots.txt
%attr(0755,root,root) %{_sbindir}/*
%{_datadir}/ADVX


%changelog
* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-4mdv2007.1
+ Revision: 140574
- rebuild

* Tue Feb 27 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-3mdv2007.1
+ Revision: 126596
- fix release
-  general cleanups

* Tue Feb 27 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-2mdv2007.1
+ Revision: 126360
- handle start/stop in a better fashion

* Thu Jan 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-1mdv2007.1
+ Revision: 113433
- cosmetic 2.2.4 version
- fix #28404 (2.0 compat)

* Sun Nov 05 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-5mdv2007.1
+ Revision: 76720
- send USR1 instead of HUP when rotating logs (Olivier Thauvin)
- rebuild
- rebuild
- comment the first CustomLog line (thanks pterjan!)
- Import apache-conf



* Tue Sep 12 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-3mdv2007.0
- fix #25259 (thanks guillomovitch!)

* Mon Jul 31 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-2mdk
- fix #20257

* Fri Jul 28 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-1mdk
- 2.2.3

* Fri May 26 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-4mdk
- be more gentle while nuking the env in the initscript (#21727)

* Sun Apr 30 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-3mdk
- fix the config (S3)

* Sun Apr 30 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-2mdk
- broke out the bundled dbd modules (S3)

* Mon Apr 24 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-1mdk
- 2.2.2
- fix the initscript again and #21821

* Wed Feb 22 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-8mdk
- fix the initscript again
- added default vhosts config (by popular request)
- added mod_ssl-gentestcrt (by popular request)

* Tue Feb 07 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-7mdk
- fix the initscript and config (S1,S2,S3)

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-6mdk
- fix one typo (guillomovitch)

* Sat Dec 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-5mdk
- fix promo icons

* Tue Dec 20 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-4mdk
- don't use the daemon function in the initscript (S1) as it hides
  the ssl/nss pass phraze prompt

* Sat Dec 17 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-3mdk
- make the apache 2.0 config startup error more verbose
- fix the addon-modules.conf file
- adjust the logrotate script (large file support)

* Tue Dec 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-2mdk
- prevent startup if apache 2.0 config directives are found, these
  can pose a security threat (please do read README.urpmi)
- updated the httpd.conf file with missing/new entries
- updated the README.urpmi file to reflect certain changes

* Mon Dec 12 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-1mdk
- sync with the 2.2.0 conf

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.55-4mdk
- make the logrotate script less verbose (rgs)

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.55-3mdk
- rebuilt to provide a -debug package too

* Fri Oct 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.55-2mdk
- actually add mod_echo here too (S1)

* Fri Oct 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.55-1mdk
- sync with apache-2.0.55 (S1)

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-12mdk
- fix #17406

* Tue Aug 09 2005 Andreas Hasenack <andreas@mandriva.com> 2.0.54-11mdk
- fixed env cleaning in the init script with other terminals (like
  inside a screen)

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-10mdk
- fixed the APACHEPROXIED stuff in %%pre (again)
- fix changelog mismatch

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-9mdk
- added another work around for a rpm bug

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-8mdk
- added a work around for a rpm bug, "Requires(foo,bar)" don't work
- fixed the APACHEPROXIED stuff in %%pre

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-7mdk
- fix #16303 and #16769

* Thu Jun 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-6mdk
- fix another glitch in the sysv script

* Thu Jun 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-5mdk
- fix a glitch in the sysv script

* Wed Jun 08 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-4mdk
- move away presumptive old httpd.conf file in %%pre
- shorten the list of log files to rotate by using a wildcard
- added the old config files and instructions how to easier
  determine possible changes the user might have done

* Sun Jun 05 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-3mdk
- provide correct info about .htaccess files in README.urpmi
- move php specific directives to their respective mod_php packages

* Sat Jun 04 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-2mdk
- the mod_userdir module now is an external sub package. if you
  need it just install it. (urpmi apache-mod_userdir)

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-1mdk
- major cleanups
- all old files now lives in the apache-conf-2.0.54 tar ball
- no more commonhttpd.conf file, this file is now merged into the 
  httpd.conf file
- fix #15561
- the mime.types file has been touched
- .htaccess files are no longer considered per default (speed, security)
- ~/username is no longer activated per default (security)
- use new rpm-4.4.x pre,post magic

* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-5mdk
- use the %%mkrel macro
- remove the metuxmpm stuff

* Thu Mar 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-4mdk
- fix %%post and %%postun to prevent double restarts
- own directories (#14418)
- misc spec file and rpmlint fixes

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-3mdk
- spec file cleanups, remove the ADVX-build stuff

* Fri Feb 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-2mdk
- added means to secure sensible data (S101)

* Mon Feb 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-1mdk
- added the new dumpio module to the config
- merge changes from the httpd2-VANILLA.conf file

* Fri Jan 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-7mdk
- set TMP and TMPDIR to /tmp

* Tue Jan 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-6mdk
- Mandrake Linux/Mandrakelinux, spotted by "Zeb"

* Mon Jan 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-5mdk
- handle mod_perl2 access from the apache2-mod_perl config

* Fri Nov 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-4mdk
- build the dietized binay
- added forgotten and new stuff in the httpd2*.conf files
- various small fixes here and there
- added the robots.txt file after looking at the suse stuff...
- misc spec file fixes

* Sun Oct 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-3mdk
- make use of the new %%{_sysconfdir}/sysconfig/httpd file

* Wed Oct 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-2mdk
- make the sysv script spit out those -D variables if wanted

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-1mdk
- 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51-1mdk
- 2.0.51

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-4mdk
- reverse an gprintified mistake in the past (S0)

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-3mdk
- let the apache user own some of its directories (fixes #6014)

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-2mdk
- provide the actual directory too, duh! (Michael Reinsch)

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-1mdk
- remove redundant provides
- use new webapps policy

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-4mdk
- yet again a funnier initscript...

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-3mdk
- fixed S0 again

* Wed Jun 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-2mdk
- fixed S0 so that the semkill stuff has to be initiated manually
- added/prepared for the new mod_log_forensic module

* Sat May 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-1mdk
- 2.0.49

* Sat May 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.48-3mdk
- fix S0; bugzilla #5629, #9101, #9107, #9167 and anthill #489, #490, #599
- logrotate if size is above 2GB; anthill #689

* Wed Mar 17 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.48-2mdk
- added extramodules to file list
- added MIME types for urpmi and urpmi-media
- fixed MIME type for rpm
- added MIME types for OOo (bug #6113)

* Wed Oct 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48-1mdk
- 2.0.48
- drop 8x support
- activate mod_logio

* Mon Sep 15 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.47-8mdk
- Remove ScriptLog, nice try, but that wasn't the right solution to the
  cgi problem. The Apache bug 22030 was fixed in apache2-2.0.47-6mdk

* Mon Sep 15 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.47-7mdk
- Fix ScriptLog

* Mon Sep 15 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.47-6mdk
- AddLanguage eo .eo (esperanto)
- AddDefaultCharset Off (it was overriding META tags which is bad for
  international sites) [BUG 5398]
- Make Apache start after Mysql [BUG 5532]
- Add ScriptLog directive to httpd2.conf to flush stderr

* Thu Sep 04 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.47-5mdk
- add mime types for .jar and .jad on request by Andre Nathan
- Remove the #config directive in the initscript since it confuses
  linuxconf 
- fix ownership of cache directory [BUG 3904]

* Thu Sep 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47-4mdk
- fix ASF bug #21685 on request by Grgoire Colbert

* Tue Sep 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47-3mdk
- close #4364

* Fri Jul 11 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.47-2mdk
- Fix advxsplitlogfile for good
- Do not rotate ssl_cache, otherwise some race conditions can happen.

* Wed Jul 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47-1mdk
- 2.0.47
- added new (commented) directories to S6

* Wed Jun 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46-2mdk
- fix S0 (duh!)

* Fri May 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46-1mdk
- 2.0.46
- manually merged entries from old S3 into new S3 from 2.0.46 (phuh!)
- updated S1, S2, S5, S6
- kill zombie advxsplitlogfile processes when shut down (S0)
- split configs into separate files (mod_proxy, etc.)

* Sat Apr 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.45-4mdk
- Fix reload, make it libdir independent. For further changes, please
  make sure to use detect/detectlib before any use of $LIB variable

* Fri Apr 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.45-3mdk
- Make it lib64 aware

* Mon Apr 07 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.45-2mdk
- Rebuild for 9.1 security update

* Tue Apr 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45-1mdk
- 2.0.45
- updated S6

* Tue Mar  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-11mdk
- Add link for both versions of modules (1.3 and 2.0).

* Tue Mar  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-10mdk
- Remove the text about removing the .htaccess, since it's now included as
  an ErrorDocument message.

* Tue Mar  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-9mdk
- fix ErrorDocument for manuals
- change index.shtml to reflect the fact that we can install both versions
  of Apache, that we can switch from one version to the other, and that we
  have both manual versions as well.
- put config(noreplace) for favicon.ico to not overwrite a web site's icon.
  (submitted by David Walser <luigiwalser@yahoo.com>

* Sun Mar  2 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-8mdk
- Fix mime type for svg+xml (requested by liam@w3.org)
- add index.xml to the list of indexes
- fix public_html stuff in commonhttpd.conf

* Sun Mar  2 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-7mdk
- Add a new set of "Powered-by" icons with a similar look-and-feel as the
  ubiquitous Apache icon.
- Redesign the index page a bit
- Add an ErrorDocument directives to the .htaccess file in addon-modules so
  people know what to do if they want to enable access to that directory.
- Change favicon.ico by a new ADVX icon.

* Mon Feb 17 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-6mdk
- Modify commonhttpd.conf so that /perl-status works when mod_perl 2.0 is
  really final
- advxsplitlogfile: fixes for "use stric" and perl_checker fixes

* Mon Feb 17 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-5mdk
- JMD: PLEASE REMOVE apache2-conf FROM MAIN!
- Obsoletes: apache2-conf

* Mon Feb 17 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-4mdk
- Update mime types... before: 270, after: 441!
- Improve migration scripts, we can update from as far as MDK 7.1!

* Sat Feb 15 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-3mdk
- use %%ghost for old config files

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-2mdk
- renamed apache2-conf SRPM and RPM to apache-conf, since both versions of
  Apache can use the same config files.
- misc. fixes to the init script
- add ap13chkconfig, advxrun1.3 and advxrun2.0 scripts for easy migration
  and switching from 1.3 to 2.0.

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44-1mdk
- 2.0.44
- updated S6

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43-5mdk
- fix buildrequires ADVX-build >= 1.1
- clean up after build

* Mon Jan 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.43-4mdk
- Up version number to synchronize Cooker: the apache-conf rpm is now
  generated by the apache2-conf SRPM, and the upload scripts don't know
  how to manage that. 

* Tue Jan 07 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.43-3mdk
- Put README.apache-conf in the right place.
- Fix initscript to use the pid files to know what to stop, instead
  of relying the presence of binaries, this makes it possible to switch
  versions (1.3/2.0/1.3-perl) on the fly.

* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.43-2mdk
- Use the apache2-conf SRPM to generate apache-conf. It was a PITA to 
  manage two versions, and since the source files are the same, it's a
  logical thing to do.
- Created a new apache-compat package that will help 2.0 users who
  need to roll back to 1.3 temporarily (and back to 2.0 again when
  they're ready)
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 
- Likewise, add Provides: AP13package and AP20package in the same
  manner

* Fri Oct 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43-1mdk
- rebuilt for/against new apache2 version 2.0.43 (even though 2.0.42 and 
  2.0.43 are binary compatible, we have to consider rpm dependencies)

* Wed Sep 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42-3mdk
- added the new mod_logio module entries to commonhttpd.conf and
  httpd2.conf, check: http://localhost/manual/mod/mod_logio.html

* Wed Sep 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42-2mdk
- argh!, corrected a small glitch in commonhttpd.conf

* Wed Sep 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42-1mdk
- remove the ADVX rpm package naming scheme
- merge config changes from 2.0.42, also add missing stuff

* Mon Sep 23 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.40ADVX-14mdk
- use spec file magic from the nagios package to enable builds on ML8.x, and/or
  optionally compile advxsplitlogfile.c against dietlibc

* Sat Sep 07 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-13mdk
- add ADVXpost 

* Sat Sep 07 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-12mdk
- Add more sanity checking into init script
- Really fix description this time 

* Fri Sep 06 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-11mdk
- Correct description
- Fix init script in case someone upgrades to apache2-conf without upgrading
  to apache2
- Add back %{_var}/apache-mm for the same reason
- Don't require apache2-devel, since it's not really needed.

* Thu Sep 05 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-10mdk
- Correct migration scripts bugs, and split the functions into different
  files.

* Wed Sep 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-9mdk
- Complete mod_ssl-migrate
- Complete advx-checkifmigrate

* Wed Sep 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-8mdk
- Macroize according to ADVX policy on www.advx.org/devel/policy.php
- added C version of advxsplitlogfile by Anders Melchiorsen <anders@kalibalik.dk>

* Tue Sep 03 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-7mdk
- Add favicon

* Wed Aug 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40-6mdk
- *Lots* of changes for Apache 2.0.40
- completely macroized specfile
- renamed package apache2-conf

* Fri Jul 12 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.3.26-2mdk
- add apache user

* Tue Jun 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.26-1mdk
- apache 1.3.26.
- EAPI 2.8.10.

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.24-1mdk
- apache 1.3.24.
- EAPI 2.8.8.

* Wed Mar 13 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.23-4mdk
- IMPORTANT FIX: add Document root in httpd-perl.conf
- Fixed URL in Spec file

* Mon Mar 02 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.23-3mdk
- Removed the restrictive settings on the /addon-modules directory, and 
  replaced it by a .htaccess so people can read the documentation on the
  modules remotely, by removing the .htaccess.
- s/advx.com/advx.org/ in HOWTO-GET-MODULES file

* Mon Mar 02 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.23-2mdk
- Fix manual path
- Fix configuration files to be more secure, and also to be easier to parse
  by Frontpage and other addons.
- The old advx.com is broken, the new site is www.advx.org
- Misc. fixes to index.shtml (yes, I removed my name from the index.shtml, 
  some people did not like it)

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.23-1mdk
- Apache 1.3.23.
- EAPI 2.8.6.

* Thu Jan 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.22-3mdk
- advxsplitlogfile splits using hours, not minutes.
- Require on lynx (used in httpd.init)

* Wed Oct 17 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.3.22-2mdk
- use a more secure commonhttpd.conf; disable Indexes pretty much everywhere

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.22-1mdk
- apache 1.3.22.

* Tue Oct 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.20-4mdk
- Remove use of RPM_SOURCE_DIR (AKA specfile cleaning).
- make rpmlint happier.

* Wed Sep 12 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3.20-3mdk
- Change default Mandrake Linux image

* Fri Aug 24 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.20-2mdk
- fix init script bug

* Tue Jul 10 2001 Philippe Libat <philippe@mandrakesoft.com>  1.3.20-1mdk
- new apache version

* Fri Apr 13 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-3mdk
- fix prereqs

* Mon Apr  9 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-2mdk
- fixed bug with mod_perl upgrade
- use _post_service and _preun_service macros
- unset some unneeded (and potentially insecure) environment variables

* Sun Mar 25 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-1mdk
- Created this new package for configuration files
  see description for more info
- Extensive rewrite of the configuration files
- New mod_perl configuration
- New virtualhost logging and dynamic log rotation
- New utilities for adding/removing modules and upgrades
- Apache and apache_mod-perl now use the same set of modules
- Added some SuSE compatibility
